main {
    grid-area: main;
    overflow-x: auto;
    padding: 0 10px;
}

.table-section {
    width: 100%;
}

.section-name {
    font-size: 1.3rem;
}

fieldset {
    border: none;
    padding: 0;
    margin: 0;
}

.sr-only {
    font-size: 0;
}

table {
    border-collapse: collapse;
    width: 100%;
    height: 15rem;
    margin-bottom: 2rem;
    margin-top: 1.2rem;
}

.pagination {
    display: flex;
    justify-content: center;
}

td, th {
    border: solid;
    text-align: center;
}

.btn-space {
    display: flex;
    justify-content: end;
}

#btn-add {
    cursor: pointer;
}

.btn-pgn {
    cursor: pointer;
}

/* Add student modal */

.x-icon {
    height: 24px;
    width: 24px;
}

dialog[open] {
    display: flex;
    flex-direction: column;
}

dialog::backdrop {
    background-color: rgba(0, 0, 0, 0.5);

}

.modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    border-bottom: solid;
    gap: 10px;
}

form {
    display: grid;
    grid-template-columns: auto 1fr;
    gap: 15px;
    margin: 15px;
    align-items: center;
}

form label {
    text-align: left;
}

.modal-footer {
    grid-column: 1 / -1;
    display: flex;
    justify-content: end;
    gap: 10px;
    width: 100%;
    border-top: solid;
    padding-top: 15px;
}

.del-container {
    display: flex; 
    flex-direction: column; 
    gap: 15px;
    margin: 15px; 
}

#delete-student-name{
    font-weight: bold;
}

@media (min-width: 768px) {
    .table-section {
        width: 95%;
    }

    .section-name {
        font-size: revert;
    }

    table {
        min-width: unset;
    }
}